## r-cran-ggdendro 0.1.22+dfsg

=== DESCRIPTION ===
Package: ggdendro
Version: 0.1.22
Title: Create Dendrograms and Tree Diagrams Using 'ggplot2'
Description: This is a set of tools for dendrograms and
    tree plots using 'ggplot2'.  The 'ggplot2' philosophy is to
    clearly separate data from the presentation.
    Unfortunately the plot method for dendrograms plots
    directly to a plot device without exposing the data.
    The 'ggdendro' package resolves this by making available
    functions that extract the dendrogram plot data. The package
    provides implementations for 'tree', 'rpart', as well as diana and agnes
    (from 'cluster') diagrams.
Authors@R: c(person("Andrie", "de Vries", role=c("aut", "cre"),
    email="apdevries@gmail.com"), person(c("Brian", "D."), "Ripley", role =
    c("aut"), comment = "author of package tree"))
License: GPL-2 | GPL-3
LazyData: true
LazyLoad: true
ByteCompile: true
URL: https://github.com/andrie/ggdendro
BugReports: https://github.com/andrie/ggdendro/issues
Imports: MASS, ggplot2(>= 0.9.2)
Suggests: rpart (>= 4.0-0), tree, testthat, knitr, cluster, scales,
        spelling, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 7.1.1
Language: en-US
Encoding: UTF-8
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2020-09-13 20:11:12 UTC; apdev
Author: Andrie de Vries [aut, cre],
  Brian D. Ripley [aut] (author of package tree)
Maintainer: Andrie de Vries <apdevries@gmail.com>
Repository: CRAN
Date/Publication: 2020-09-13 21:30:07 UTC

## r-cran-ggdendro 0.1-20+dfsg

=== debian/changelog ===
r-cran-ggdendro (0.1-20+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #931073)

 -- Andreas Tille <tille@debian.org>  Tue, 25 Jun 2019 16:04:16 +0200

=== debian/control ===
Source: r-cran-ggdendro
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-mass,
               r-cran-ggplot2
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggdendro
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggdendro.git
Homepage: https://cran.r-project.org/package=ggdendro

Package: r-cran-ggdendro
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R create dendrograms and tree diagrams using 'ggplot2'
 This is a set of tools for dendrograms and
 tree plots using 'ggplot2'.  The 'ggplot2' philosophy is to
 clearly separate data from the presentation.
 Unfortunately the plot method for dendrograms plots
 directly to a plot device without exposing the data.
 The 'ggdendro' package resolves this by making available
 functions that extract the dendrogram plot data. The package
 provides implementations for tree, rpart, as well as diana and agnes
 cluster diagrams.

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/ggdendro_([-\d.]*)\.tar\.gz

## r-cran-ggdendro 0.1.22+dfsg

=== debian/changelog ===
r-cran-ggdendro (0.1.22+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 Sep 2020 10:01:17 +0200

r-cran-ggdendro (0.1.21+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Sep 2020 12:54:06 +0200

r-cran-ggdendro (0.1-20+dfsg-3) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 21:53:54 +0200

r-cran-ggdendro (0.1-20+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 28 Feb 2020 07:24:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-mass,
                r-cran-ggplot2
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggdendro
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggdendro.git
 Homepage: https://cran.r-project.org/package=ggdendro
+Rules-Requires-Root: no
 
 Package: r-cran-ggdendro
 Architecture: all

## r-cran-ggdendro 0.1.23+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ggdendro
-Version: 0.1.22
+Version: 0.1.23
 Title: Create Dendrograms and Tree Diagrams Using 'ggplot2'
 Description: This is a set of tools for dendrograms and
     tree plots using 'ggplot2'.  The 'ggplot2' philosophy is to
@@ -14,23 +14,22 @@
     email="apdevries@gmail.com"), person(c("Brian", "D."), "Ripley", role =
     c("aut"), comment = "author of package tree"))
 License: GPL-2 | GPL-3
-LazyData: true
 LazyLoad: true
 ByteCompile: true
 URL: https://github.com/andrie/ggdendro
 BugReports: https://github.com/andrie/ggdendro/issues
 Imports: MASS, ggplot2(>= 0.9.2)
 Suggests: rpart (>= 4.0-0), tree, testthat, knitr, cluster, scales,
-        spelling, rmarkdown
+        spelling, rmarkdown, covr
 VignetteBuilder: knitr
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Language: en-US
 Encoding: UTF-8
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2020-09-13 20:11:12 UTC; apdev
+Packaged: 2022-02-16 12:02:03 UTC; apdev
 Author: Andrie de Vries [aut, cre],
   Brian D. Ripley [aut] (author of package tree)
 Maintainer: Andrie de Vries <apdevries@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-09-13 21:30:07 UTC
+Date/Publication: 2022-02-16 13:20:02 UTC

=== debian/changelog ===
r-cran-ggdendro (0.1.23+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2022 20:53:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-mass,
                r-cran-ggplot2
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggdendro
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggdendro.git
 Homepage: https://cran.r-project.org/package=ggdendro

## r-cran-ggdendro 0.2.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ggdendro
-Version: 0.1.23
+Version: 0.2.0
 Title: Create Dendrograms and Tree Diagrams Using 'ggplot2'
 Description: This is a set of tools for dendrograms and
     tree plots using 'ggplot2'.  The 'ggplot2' philosophy is to
@@ -16,20 +16,21 @@
 License: GPL-2 | GPL-3
 LazyLoad: true
 ByteCompile: true
-URL: https://github.com/andrie/ggdendro
+URL: https://andrie.github.io/ggdendro/
 BugReports: https://github.com/andrie/ggdendro/issues
+Depends: R(>= 3.5)
 Imports: MASS, ggplot2(>= 0.9.2)
 Suggests: rpart (>= 4.0-0), tree, testthat, knitr, cluster, scales,
         spelling, rmarkdown, covr
 VignetteBuilder: knitr
-RoxygenNote: 7.1.2
+RoxygenNote: 7.3.1
 Language: en-US
 Encoding: UTF-8
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-02-16 12:02:03 UTC; apdev
+Packaged: 2024-02-18 21:50:45 UTC; apdev
 Author: Andrie de Vries [aut, cre],
   Brian D. Ripley [aut] (author of package tree)
 Maintainer: Andrie de Vries <apdevries@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-02-16 13:20:02 UTC
+Date/Publication: 2024-02-23 12:40:02 UTC

=== debian/changelog ===
r-cran-ggdendro (0.2.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Disable reprotest

  [ Charles Plessy ]
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Jun 2024 15:04:13 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-mass,
                r-cran-ggplot2
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggdendro
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggdendro.git
 Homepage: https://cran.r-project.org/package=ggdendro

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rpart (>= 4.0-0),
        r-cran-testthat,
        r-cran-knitr,
        r-cran-cluster,
        r-cran-scales,
        r-cran-spelling,
        r-cran-rmarkdown,
        r-cran-covr
Restrictions: allow-stderr
